### Method

# Camel StoreSearch set_result_index

since: 3.58

#### Declaration [src]

    void
    camel_store_search_set_result_index (
      CamelStoreSearch* self,
      CamelStoreSearchIndex* index
    )

#### Description [src]

Sets, or unsets, a `CamelStoreSearchIndex` to be used for the search. The index contains all the items satisfying the expression.

Available since: 3.58

#### Parameters

`index`

  Type: `CamelStoreSearchIndex`

  A `CamelStoreSearchIndex`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.